GET merchantCatalog/effective/variants/enriched. skus and merchantSkus match case-insensitively,variantIds are merchant-variant ids and productIds are global product ids. The lists combine with AND,curl --location 'https://api.ordermesh.io/catalog/v1/merchantCatalog/effective/variants/enriched/search' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"merchantId": "681abd18c61bccfab89bc63e",
"page": 1,
"pageSize": 50,
"skus": [
"MUG-ACC-11OZ-BLUE",
"MUG-ACC-11OZ-RED"
],
"merchantSkus": [],
"variantIds": [],
"productIds": [
"1194"
],
"useCursor": false,
"cursor": null
}'{
"merchantHasCustomCatalog": true,
"items": [
{
"id": "6710b3f2a1c94e0d2f8b7c31",
"sku": "MUG-ACC-11OZ-BLUE",
"merchantSku": "MERCHANT-SKU-001",
"productId": "1194",
"merchantPrice": {
"currencies": [
{
"amount": 19.99,
"currency": "USD"
}
],
"amount": 19.99,
"currency": "USD"
},
"decorations": [
{
"area": "Front",
"width": 1000,
"height": 1000,
"dpi": 300,
"method": "Sublimation",
"price": {
"currencies": null,
"amount": 0,
"currency": "USD"
},
"printImage": null,
"attributes": []
}
],
"attrs": [
{
"name": "Color",
"value": "Blue",
"source": "CUSTOM"
},
{
"name": "Color",
"value": "Blue",
"source": "GLOBAL"
},
{
"name": "Size",
"value": "11oz",
"source": "GLOBAL"
}
],
"opts": [
{
"name": "Handle Color",
"value": "White",
"source": "GLOBAL"
}
],
"extras": [
{
"name": "Gift Wrap",
"value": "Available",
"source": "GLOBAL"
}
],
"globalStatus": "ACTIVE",
"globalResolved": true,
"globalResolution": null
},
{
"id": "6710b3f2a1c94e0d2f8b7c32",
"sku": "MUG-ACC-11OZ-RED",
"merchantSku": null,
"productId": "1194",
"merchantPrice": null,
"decorations": [],
"attrs": [
{
"name": "Color",
"value": "Red",
"source": "CUSTOM"
}
],
"opts": [],
"extras": [],
"globalStatus": null,
"globalResolved": false,
"globalResolution": "DELETED"
},
{
"id": "6710b3f2a1c94e0d2f8b7c33",
"sku": "MUG-RETIRED-15OZ",
"merchantSku": "MERCHANT-SKU-003",
"productId": "1180",
"merchantPrice": null,
"decorations": [],
"attrs": [],
"opts": [],
"extras": [],
"globalStatus": null,
"globalResolved": false,
"globalResolution": "NOT_FOUND"
}
],
"page": 1,
"pageSize": 50,
"totalCount": 3,
"totalPages": 1,
"hasNextPage": false,
"hasPreviousPage": false,
"nextCursor": ""
}